Zoey REST API reference ยท Interactive version: apidocs.zoey.com
GET https://container-url.zoeysite.com/api/rest/quotes2/quote_comment/?id=52
Get one quote comment by id.
Query parameters:
| Name | Example | Notes |
|---|---|---|
id | 52 | Quote comment id. (Required) |
POST https://container-url.zoeysite.com/api/rest/quotes2/quote_comment/
Add a new comment to a quote.
Example request body:
{
"quoteId": "109",
"commentData": {
"comment": "A Comment",
"is_private_comment": true,
"send_email": true
}
}
PUT https://container-url.zoeysite.com/api/rest/quotes2/quote_comment/
Add a new comment to a quote.
Example request body:
{
"commentId": "60",
"commentData": {
"comment": "An updated Comment",
"is_private_comment": false
}
}
GET https://container-url.zoeysite.com/api/rest/quotes2/quote_comments/?id=113
Query parameters:
| Name | Example | Notes |
|---|---|---|
id | 113 | Quote ID. (Required) |
Example request body:
{
"orderIncrementId": "100000179",
"commentData": {
"customer_note": "Order history comment from postman",
"customer_note_notify": "1",
"zoey_order_comment": "Zoey Order comment from postman"
}
}